internal::queueing_port< T >::queueing_port_operation Class Reference
Inheritance diagram for internal::queueing_port< T >::queueing_port_operation:
Collaboration diagram for internal::queueing_port< T >::queueing_port_operation:

## Public Member Functions

| queueing_port_operation (const T &e, op_type t)
| queueing_port_operation (const T *p, op_type t)
| queueing_port_operation (op_type t)
Public Member Functions inherited from tbb::interface6::internal::aggregated_operation< Derived >
| aggregated_operation ()

## Public Attributes

char | type
T | my_val
T * | my_arg
task * | bypass_t
Public Attributes inherited from tbb::interface6::internal::aggregated_operation< Derived >
uintptr_t | status
| Zero value means "wait" status, all other values are "user" specified values and are defined into the scope of a class which uses "status". More...
Derived * | next

## Detailed Description

### template<typename T>
class internal::queueing_port< T >::queueing_port_operation

Definition at line 448 of file _flow_graph_join_impl.h.

## Constructor & Destructor Documentation

## queueing_port_operation() [1/3]

template<typename T >

internal::queueing_port< T >::queueing_port_operation::queueing_port_operation | ( | const T & | e,
|  | op_type | t
| ) |  |

inline

Definition at line 460 of file _flow_graph_join_impl.h.

:
type(char(t)), my_val(e)
, bypass_t(NULL)
{}
internal::queueing_port::queueing_port_operation::my_val
T my_val
Definition: _flow_graph_join_impl.h:451
internal::queueing_port::queueing_port_operation::type
char type
Definition: _flow_graph_join_impl.h:450
internal::queueing_port::queueing_port_operation::bypass_t
task * bypass_t
Definition: _flow_graph_join_impl.h:458

## queueing_port_operation() [2/3]

template<typename T >

internal::queueing_port< T >::queueing_port_operation::queueing_port_operation | ( | const T * | p,
|  | op_type | t
| ) |  |

inline

Definition at line 465 of file _flow_graph_join_impl.h.

:
type(char(t)), my_arg(const_cast<T*>(p))
, bypass_t(NULL)
{}
p
void const char const char int ITT_FORMAT __itt_group_sync p
Definition: ittnotify_static.h:91
internal::queueing_port::queueing_port_operation::my_arg
T * my_arg
Definition: _flow_graph_join_impl.h:452

## queueing_port_operation() [3/3]

template<typename T >

internal::queueing_port< T >::queueing_port_operation::queueing_port_operation | ( | op_type | t | ) |

inline

Definition at line 470 of file _flow_graph_join_impl.h.

: type(char(t))
, bypass_t(NULL)
{}

## Member Data Documentation

## bypass_t

template<typename T >

task* internal::queueing_port< T >::queueing_port_operation::bypass_t

Definition at line 458 of file _flow_graph_join_impl.h.

Referenced by internal::queueing_port< T >::handle_operations(), and internal::queueing_port< T >::try_put_task().

## my_arg

template<typename T >

T* internal::queueing_port< T >::queueing_port_operation::my_arg

Definition at line 452 of file _flow_graph_join_impl.h.

Referenced by internal::queueing_port< T >::handle_operations().

## my_val

template<typename T >

T internal::queueing_port< T >::queueing_port_operation::my_val

Definition at line 451 of file _flow_graph_join_impl.h.

Referenced by internal::queueing_port< T >::handle_operations().

## type

template<typename T >

char internal::queueing_port< T >::queueing_port_operation::type

Definition at line 450 of file _flow_graph_join_impl.h.

Referenced by internal::queueing_port< T >::handle_operations().

The documentation for this class was generated from the following file:

- _flow_graph_join_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.